nvme_mi_admin_identify_primary_ctrl(2)

NAME
nvme_mi_admin_identify_primary_ctrl - Perform an Admin identify for primary controller capabilities data structure.

SYNOPSIS
int nvme_mi_admin_identify_primary_ctrl (nvme_mi_ctrl_t ctrl , __u16 cntid , struct nvme_primary_ctrl_cap *cap );

ARGUMENTS

ctrl
    Controller to process identify command

cntid
    Controller ID to specify

cap Primary Controller Capabilities data structure to populate

DESCRIPTION
Perform an Identify command to get the Primary Controller Capabilities data for the controller specified by cntid

Will return an error if the length of the response data (from the controller) is not a full NVME_IDENTIFY_DATA_SIZE, so cap will be be fully populated on success.

See: struct nvme_primary_ctrl_cap

RETURN
0 on success, non-zero on failure